package com.ruoyi.ss.app.service.impl;

import com.ruoyi.common.config.WxConfig;
import com.ruoyi.ss.app.domain.AppVO;
import com.ruoyi.ss.app.domain.enums.AppType;
import com.ruoyi.ss.app.service.AppConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2025/1/9
 */
@Service
public class AppConverterImpl implements AppConverter {
    @Override
    public WxConfig toWxConfig(AppVO app) {
        if (app == null || !AppType.WX.getType().equals(app.getType())) {
            return null;
        }

        WxConfig config = new WxConfig();
        config.setAppId(app.getAppId());
        config.setAppSecret(app.getAppSecret());
        return config;
    }
}
