package com.ruoyi.ss.channel.domain;

import lombok.Data;

/**
 * @author wjh
 * 2025/1/7
 */
@Data
public class ChannelConfig {

    // 微信
    // 应用id（微信、支付宝）
    private String appId;
    // 商户id
    private String merchantId;
    // apiV3私钥
    private String apiV3Key;
    // 私钥证书路径
    private String privateKeyPath;
    // 证书序列号
    private String merchantSerialNumber;

    // 支付宝
    // 应用私钥
    private String privateKey;
    // AES秘钥
    private String aesPrivateKey;
    // 应用公钥证书地址
    private String appCertPath;
    // 支付宝公钥证书地址
    private String alipayCertPath;
    // 支付宝根证书地址
    private String alipayRootCertPath;

    // 太米
    // 开发者ID
    private String developerId;
    // 门店ID
    private String shopId;
    // 签名Key
    private String signKey;

    // 国通星驿
    // 公钥
    private String publicKey;
    // 机构号 商户所在国通系统内机构号（或虚拟机构号）
    private String agetId;
    // 商户号 商户所在国通系统内商户号
    private String custId;
    // 请求主机
    private String host;
}
