package com.ruoyi.common.pay.xy.utils;

import java.util.TreeMap;

/**
 * @author wjh
 * 2025/1/8
 */
public class XyPayUtil {

    /**
     * 生成签名
     * @param params 待签名参数
     * @param publicKey 公钥
     */
    public static String encrypt(TreeMap<String, Object> params, String publicKey) {

        StringBuilder sb = new StringBuilder();
        for (String key : params.keySet()) {
            sb.append(key).append("=").append(params.get(key)).append("&");
        }
        String res = sb.substring(0, sb.lastIndexOf("&"));
        String sha256 = SHA256.getSHA256(res);
        return RSAUtil.encrypt(publicKey, sha256);
    }

}
